ElementInfoUtils Class

class NXOpen.CAE.ElementInfoUtils

Bases: object

Represents a system to query information about FE-based elements

To obtain an instance of this class, refer to NXOpen.CAE.NodeElementManager

New in version NX11.0.0.

Methods

Method Description
Ask2d3dElementCentroids Returns the centroids of 2D and 3d finite elements in absolute or reference coordinate system.
Ask2dElementAreas Returns the areas of the 2D finite elements.
Ask2dElementNormals Returns the normals of the 2D finite elements.
Ask3dElementVolumes Returns the volumes of the 3D finite elements.
CreateBeamElementInfoHandler Returns a NXOpen.CAE.BeamElementInfoHandler

Method Detail

Ask2d3dElementCentroids

ElementInfoUtils.Ask2d3dElementCentroids

Returns the centroids of 2D and 3d finite elements in absolute or reference coordinate system.

Use a tag of None for coordinateSystem to indicate the absolute coordinate system. It will fail if given wrong type of elements

Signature Ask2d3dElementCentroids(elements, coordinateSystem)

Parameters:
Returns:

Return type:

list of NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Ask2dElementAreas

ElementInfoUtils.Ask2dElementAreas

Returns the areas of the 2D finite elements.

It will fail if given wrong type of elements

Signature Ask2dElementAreas(elements)

Parameters:elements (list of NXOpen.CAE.FEElement) –
Returns:
Return type:list of float

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Ask2dElementNormals

ElementInfoUtils.Ask2dElementNormals

Returns the normals of the 2D finite elements.

It will fail if given wrong type of elements

Signature Ask2dElementNormals(elements)

Parameters:elements (list of NXOpen.CAE.FEElement) –
Returns:
Return type:list of NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Ask3dElementVolumes

ElementInfoUtils.Ask3dElementVolumes

Returns the volumes of the 3D finite elements.

It will fail if given wrong type of elements

Signature Ask3dElementVolumes(elements)

Parameters:elements (list of NXOpen.CAE.FEElement) –
Returns:
Return type:list of float

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateBeamElementInfoHandler

ElementInfoUtils.CreateBeamElementInfoHandler

Returns a NXOpen.CAE.BeamElementInfoHandler

Signature CreateBeamElementInfoHandler()

Returns:
Return type:NXOpen.CAE.BeamElementInfoHandler

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)